data:extend({
{
    type = "furnace",
    name = "mm-recycler",
    icon = "__MaintenanceMadness__/graphics/icons/recycler.png",
    icon_size = 32,
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "mm-recycler"},
    max_health = 300,
	alert_icon_shift = util.by_pixel(-3, -12),
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 75
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 3,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"mm-recycling"},
    result_inventory_size = 7,
    crafting_speed = 1,
    energy_usage = "275kW",
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.05,
	  smoke =
      {
        {
			name = "smoke",
			frequency = 10,
			position = {-1.0, -1.2},
			starting_vertical_speed = 0.08,
			starting_frame_deviation = 60
        }
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      layers =
      {
        {
          filename = "__MaintenanceMadness__/graphics/entities/recycler.png",
          priority = "high",
          width = 107,
          height = 113,
          frame_count = 1,
		  shift = util.by_pixel(0, 1), -- TODO
          --shift = {0.421875, 0},
          hr_version =
          {
            filename = "__MaintenanceMadness__/graphics/entities/hr-recycler.png",
            priority = "high",
            width = 214,
            height = 225,
            frame_count = 1,
			shift = util.by_pixel(0, 2.25),
            scale = 0.5
            --shift = util.by_pixel(0.75, 5.75),            
          }
        },
        {
          filename = "__MaintenanceMadness__/graphics/entities/recycler-shadow.png",
          priority = "high",
          width = 98,
          height = 82,
          frame_count = 1,
          --shift = {0.421875, 0},
		  shift = util.by_pixel(12, 5), 
          draw_as_shadow = true,
          hr_version =
          {
            filename = "__MaintenanceMadness__/graphics/entities/hr-recycler-shadow.png",
            priority = "high",
            width = 196,
            height = 163,
            frame_count = 1,
            draw_as_shadow = true,
			shift = util.by_pixel(12, 4.75),
            --shift = util.by_pixel(11.25, 7.75),
            scale = 0.5
          }
        }
      }
    },
    working_visualisations = {
        {
			animation =
			{
				filename = "__MaintenanceMadness__/graphics/entities/recycler-propeller.png",
				priority = "high",
				width = 19,
				height = 13,
				frame_count = 4,
				animation_speed = 0.5,
				shift = {-0.671875, -0.640625}, -- TODO
				hr_version =
				{
					filename = "__MaintenanceMadness__/graphics/entities/hr-recycler-propeller.png",
					priority = "high",
					width = 37,
					height = 25,
					frame_count = 4,
					animation_speed = 0.5,
					shift = util.by_pixel(7, -16.5),
					scale = 0.5
				}
			}
		}
	}
  },
	
	{
		type = "flying-text",
		name = "mm-flying-text",
		flags = {"not-on-map", "placeable-off-grid"},
		time_to_live = 165,
		speed = 0.01,
		text_alignment = "center"
	},
	{
		type = "item-request-proxy",
		name = "mm-maintenance-request-proxy",
		picture =
		{
		  filename = "__MaintenanceMadness__/graphics/maintenance-needed.png",
		  flags = { "icon" },
		  priority = "extra-high",
		  width = 64,
		  height = 64,
		  shift = {0, 0},
		  scale = 0.5
		},
		use_target_entity_alert_icon_shift = true,
		flags = {"not-on-map", "placeable-off-grid", "not-blueprintable", "not-deconstructable"},
		--minable = {minable = false}, --{ mining_time = 0, results={}},
		collision_box = {{0, 0}, {0, 0}},
		selection_box = {{-0.5, -0.4}, {0.5, 0.6}}
	},
	{
		type = "item-request-proxy",
		name = "mm-repair-request-proxy",
		picture =
		{
		  filename = "__MaintenanceMadness__/graphics/machine-malfunction.png",
		  flags = { "icon" },
		  priority = "extra-high",
		  width = 64,
		  height = 64,
		  shift = {0, 0},
		  scale = 0.5
		},
		use_target_entity_alert_icon_shift = true,
		flags = {"not-on-map", "placeable-off-grid", "not-blueprintable", "not-deconstructable"},
		--minable = {minable = false}, --{ mining_time = 0, results={}},
		collision_box = {{0, 0}, {0, 0}},
		selection_box = {{-0.5, -0.4}, {0.5, 0.6}}
	},
	{
		type = "item-request-proxy",
		name = "mm-replacement-request-proxy",
		picture =
		{
		  filename = "__MaintenanceMadness__/graphics/replacement-request.png",
		  flags = { "icon" },
		  priority = "extra-high",
		  width = 64,
		  height = 64,
		  shift = {0, 0},
		  scale = 0.5
		},
		use_target_entity_alert_icon_shift = true,
		flags = {"not-on-map", "placeable-off-grid", "not-blueprintable", "not-deconstructable"},
		--minable = {minable = false}, --{ mining_time = 0, results={}},
		collision_box = {{0, 0}, {0, 0}},
		selection_box = {{-0.5, -0.4}, {0.5, 0.6}}
	},
})