-- Maintenance Madness - 2019. Created by Arcitos. License: See mod page.

--- HELPFUL FUNCTIONS

local mm_util = {}

function mm_util.notification(txt, force)
    if force ~= nil then
        force.print(txt)
    else
        for k, p in pairs (game.players) do
            game.players[k].print(txt)
        end
    end
end

function mm_util.calculateTextColor(colorMin, colorDelta, percentage)
	local textColor = {r = 0, g = 0, b = 0, a = 0}
	textColor.r = colorMin.r + colorDelta.r * percentage
	textColor.g = colorMin.g + colorDelta.g * percentage
	textColor.b = colorMin.b + colorDelta.b * percentage
	textColor.a = colorMin.a + colorDelta.a * percentage
	return textColor
end

function mm_util.getLength(t)
	local count = 0
	for k,v in pairs(t) do
		count = count + 1
	end
	return count
end

function mm_util.appendTable(target, source)
	for key, value in pairs(source) do
		if tonumber(key) == nil then -- if key is non numerical
			target[key] = value
		else
			table.insert(target, value) -- if key is numerical
		end
	end
end

function mm_util.getIngredientAmount(ingredientData)
	if ingredientData.amount ~= nil then
		return tonumber(ingredientData.amount)
	else
		for _, element in pairs(ingredientData) do
			if tonumber(element) ~= nil then
				return tonumber(element) --it's a number
			end
		end
	end
end

function mm_util.getBoundingBoxDimensions(boundingBox)
	local point1 = boundingBox.left_top or boundingBox[1]
	local point2 = boundingBox.right_bottom or boundingBox[2]
	local width = (point2.x or point2[1]) - (point1.x or point1[1])
	local height = (point2.y or point2[2]) - (point1.y or point1[2])
	return {width = width, height = height}
end

function mm_util.rotateBoundingBox(boundingBox)
	local point1 = boundingBox.left_top or boundingBox[1]
	local point2 = boundingBox.right_bottom or boundingBox[2]
	local rotatedBoundingBox = {{point1.y or point1[2], point1.x or point1[1]}, {point2.y or point2[2], point2.x or point2[1]}}
	return rotatedBoundingBox
end

function mm_util.add_recipe_to_tech(rec, tech)
-- Ergänzt das übergebene Rezept (rec) dynamisch zu der übergebenen Technologie (tech)
-- Dynamically adds the given recipe to the given tech
    if data.raw.technology[tech] then
    local tech_already_changed = false
        for k,e in pairs(data.raw.technology[tech]["effects"]) do
            if e.recipe == rec then
                tech_already_changed = true
            end
        end
        if not tech_already_changed then
            table.insert(data.raw.technology[tech].effects, {type = "unlock-recipe", recipe = rec})
        end
    end
end

return mm_util